org.apache.ivy.core.settings

## Class IvySettings

- java.lang.Object
- - org.apache.ivy.core.settings.IvySettings

All Implemented Interfaces:
  CheckEngineSettings, DeliverEngineSettings, InstallEngineSettings, PublishEngineSettings, RepositoryManagementEngineSettings, ResolveEngineSettings, RetrieveEngineSettings, SortEngineSettings, ParserSettings, ResolverSettings

    public class IvySettings
    extends java.lang.Object
    implements SortEngineSettings, PublishEngineSettings, ParserSettings, DeliverEngineSettings, CheckEngineSettings, InstallEngineSettings, ResolverSettings, ResolveEngineSettings, RetrieveEngineSettings, RepositoryManagementEngineSettings

### Constructor Summary

Constructors
Constructor and Description
`IvySettings()`
`IvySettings(IvyVariableContainer variableContainer)`

### Method Summary

Methods
`void` `addAllVariables(java.util.Map variables)`
`void` `addAllVariables(java.util.Map<?,?> variables, boolean overwrite)`
`void` `addClasspathURL(java.net.URL url)`
`void` `addConfigured(ArchivePacking packing)`
`void` `addConfigured(CircularDependencyStrategy strategy)`
`void` `addConfigured(ConflictManager cm)`
`void` `addConfigured(DependencyResolver resolver)`
`void` `addConfigured(LatestStrategy latest)`
`void` `addConfigured(LockStrategy lockStrategy)`
`void` `addConfigured(ModuleDescriptorParser parser)`
`void` `addConfigured(Namespace ns)`
`void` `addConfigured(PatternMatcher m)`
`void` `addConfigured(ReportOutputter outputter)`
`void` `addConfigured(RepositoryCacheManager c)`
`void` `addConfigured(SignatureGenerator generator)`
`void` `addConfigured(Trigger trigger)`
`void` `addConfigured(VersionMatcher vmatcher)`
`void` `addConflictManager(java.lang.String name, ConflictManager cm)`
`void` `addLatestStrategy(java.lang.String name, LatestStrategy latest)`
`void` `addLockStrategy(java.lang.String name, LockStrategy lockStrategy)`
`void` `addMatcher(PatternMatcher m)`
`void` `addModuleConfiguration(java.util.Map attributes, PatternMatcher matcher, java.lang.String resolverName, java.lang.String branch, java.lang.String conflictManager, java.lang.String resolveMode)` regular expressions as explained in Pattern class may be used in attributes
`void` `addNamespace(Namespace ns)`
`void` `addReportOutputter(ReportOutputter outputter)`
`void` `addRepositoryCacheManager(RepositoryCacheManager c)`
`void` `addResolver(DependencyResolver resolver)`
`void` `addSignatureGenerator(SignatureGenerator generator)`
`void` `addTrigger(Trigger trigger)`
`void` `addVersionMatcher(VersionMatcher vmatcher)`
`void` `configureDefaultVersionMatcher()`
`void` `configureRepositories(boolean remote)` Call this method to ask ivy to configure some variables using either a remote or a local properties file
`boolean` `debugConflictResolution()`
`boolean` `debugLocking()`
`void` `defaultInit()` Default initialization of settings, useful when you don't want to load your settings from a settings file or URL, but prefer to set them manually.
`boolean` `doValidate()`
`boolean` `dumpMemoryUsage()`
`void` `filterIgnore(java.util.Collection names)` Filters the names list by removing all names that should be ignored as defined by the listing ignore list
`java.io.File` `getBaseDir()`
`CircularDependencyStrategy` `getCircularDependencyStrategy()`
`CircularDependencyStrategy` `getCircularDependencyStrategy(java.lang.String name)`
`ConflictManager` `getConflictManager(ModuleId moduleId)`
`ConflictManager` `getConflictManager(java.lang.String name)`
`Namespace` `getContextNamespace()` Returns the namespace context in which the current descriptor is parsed.
`static java.net.URL` `getDefault14SettingsURL()`
`java.lang.String` `getDefaultBranch()`
`java.lang.String` `getDefaultBranch(ModuleId moduleId)`
`java.io.File` `getDefaultCache()`
`java.lang.String` `getDefaultCacheArtifactPattern()`
`java.lang.String` `getDefaultCacheIvyPattern()`
`ConflictManager` `getDefaultConflictManager()`
`java.io.File` `getDefaultIvyUserDir()`
`LatestStrategy` `getDefaultLatestStrategy()`
`LockStrategy` `getDefaultLockStrategy()`
`static java.net.URL` `getDefaultPropertiesURL()`
`java.io.File` `getDefaultRepositoryCacheBasedir()`
`RepositoryCacheManager` `getDefaultRepositoryCacheManager()`
`java.io.File` `getDefaultResolutionCacheBasedir()`
`java.lang.String` `getDefaultResolveMode()`
`DependencyResolver` `getDefaultResolver()`
`static java.net.URL` `getDefaultSettingsURL()`
`java.lang.String[]` `getIgnorableFilenames()` Returns the file names of the files that should be ignored when creating a file listing.
`long` `getInterruptTimeout()`
`LatestStrategy` `getLatestStrategy(java.lang.String name)`
`LockStrategy` `getLockStrategy(java.lang.String name)`
`PatternMatcher` `getMatcher(java.lang.String name)`
`java.util.Collection` `getMatcherNames()`
`Namespace` `getNamespace(java.lang.String name)`
`PackingRegistry` `getPackingRegistry()`
`RelativeUrlResolver` `getRelativeUrlResolver()`
`ReportOutputter` `getReportOutputter(java.lang.String name)`
`ReportOutputter[]` `getReportOutputters()`
`RepositoryCacheManager` `getRepositoryCacheManager(java.lang.String name)`
`RepositoryCacheManager[]` `getRepositoryCacheManagers()`
`ResolutionCacheManager` `getResolutionCacheManager()`
`java.lang.String` `getResolveMode(ModuleId moduleId)`
`DependencyResolver` `getResolver(ModuleRevisionId mrid)`
`DependencyResolver` `getResolver(java.lang.String resolverName)`
`java.lang.String` `getResolverName(ModuleRevisionId mrid)`
`java.util.Collection` `getResolverNames()`
`java.util.Collection` `getResolvers()`
`SignatureGenerator` `getSignatureGenerator(java.lang.String name)`
`StatusManager` `getStatusManager()`
`Namespace` `getSystemNamespace()`
`java.util.List` `getTriggers()`
`java.lang.Class` `getTypeDef(java.lang.String name)`
`java.util.Map` `getTypeDefs()`
`java.lang.String` `getVariable(java.lang.String name)`
`IvyVariableContainer` `getVariableContainer()`
`IvyVariableContainer` `getVariables()` Returns the variables loaded in configuration file.
`VersionMatcher` `getVersionMatcher()`
`VersionMatcher` `getVersionMatcher(java.lang.String name)`
`VersionMatcher[]` `getVersionMatchers()`
`boolean` `hasResolver(java.lang.String resolverName)`
`boolean` `isCheckUpToDate()`
`boolean` `isDefaultUseOrigin()`
`boolean` `isUseRemoteConfig()`
`void` `load(java.io.File settingsFile)`
`void` `load(java.net.URL settingsURL)`
`void` `loadDefault()`
`void` `loadDefault14()`
`void` `loadProperties(java.io.File file)`
`void` `loadProperties(java.io.File file, boolean overwrite)`
`void` `loadProperties(java.net.URL url)`
`void` `loadProperties(java.net.URL url, boolean overwrite)`
`boolean` `logModulesInUse()`
`boolean` `logModuleWhenFound()`
`boolean` `logNotConvertedExclusionRule()`
`boolean` `logResolvedRevision()`
`java.io.File` `resolveFile(java.lang.String fileName)` Return the canonical form of a filename.
`void` `setBaseDir(java.io.File baseDir)`
`void` `setCheckUpToDate(boolean checkUpToDate)`
`void` `setCircularDependencyStrategy(CircularDependencyStrategy strategy)`
`void` `setDefaultBranch(java.lang.String defaultBranch)`
`void` `setDefaultCache(java.io.File cacheDirectory)`
`void` `setDefaultCacheArtifactPattern(java.lang.String defaultCacheArtifactPattern)`
`void` `setDefaultCacheIvyPattern(java.lang.String defaultCacheIvyPattern)`
`void` `setDefaultConflictManager(ConflictManager defaultConflictManager)`
`void` `setDefaultIvyUserDir(java.io.File defaultUserDir)`
`void` `setDefaultLatestStrategy(LatestStrategy defaultLatestStrategy)`
`void` `setDefaultLockStrategy(LockStrategy defaultLockStrategy)`
`void` `setDefaultRepositoryCacheBasedir(java.lang.String repositoryCacheRoot)`
`void` `setDefaultRepositoryCacheManager(RepositoryCacheManager cache)`
`void` `setDefaultResolutionCacheBasedir(java.lang.String resolutionCacheRoot)`
`void` `setDefaultResolveMode(java.lang.String defaultResolveMode)`
`void` `setDefaultResolver(java.lang.String resolverName)`
`void` `setDefaultUseOrigin(boolean useOrigin)`
`void` `setDictatorResolver(DependencyResolver resolver)`
`void` `setLogNotConvertedExclusionRule(boolean logNotConvertedExclusionRule)`
`void` `setResolutionCacheManager(ResolutionCacheManager resolutionCacheManager)`
`void` `setSettingsVariables(java.io.File settingsFile)`
`void` `setSettingsVariables(java.net.URL settingsURL)`
`void` `setStatusManager(StatusManager statusManager)`
`void` `setUseRemoteConfig(boolean useRemoteConfig)`
`void` `setValidate(boolean validate)`
`void` `setVariable(java.lang.String varName, java.lang.String value)`
`void` `setVariable(java.lang.String varName, java.lang.String value, boolean overwrite)`
`void` `setVariable(java.lang.String varName, java.lang.String value, boolean overwrite, java.lang.String ifSetVar, java.lang.String unlessSetVar)`
`void` `setVariableContainer(IvyVariableContainer variables)` Use a different variable container.
`java.util.Map` `substitute(java.util.Map strings)` Substitute variables in the given map values by their value found in the current set of variables
`java.lang.String` `substitute(java.lang.String str)` Substitute variables in the given string by their value found in the current set of variables
`java.lang.Class` `typeDef(java.lang.String name, java.lang.String className)`
`java.lang.Class` `typeDef(java.lang.String name, java.lang.String className, boolean silentFail)`
`void` `typeDefs(java.io.InputStream stream)`
`void` `typeDefs(java.io.InputStream stream, boolean silentFail)`
`void` `typeDefs(java.util.Properties p)`
`void` `typeDefs(java.util.Properties p, boolean silentFail)`
`void` `useDeprecatedUseOrigin()`
`void` `validate()` Validates the settings, throwing an `IllegalStateException` if the current state is not valid.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IvySettings

    public IvySettings()

#### IvySettings

    public IvySettings(IvyVariableContainer variableContainer)

### Method Detail

#### configureRepositories

    public void configureRepositories(boolean remote)

Call this method to ask ivy to configure some variables using either a remote or a local properties file

Specified by:
  `configureRepositories` in interface `ResolverSettings`

#### typeDefs

    public void typeDefs(java.io.InputStream stream)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### typeDefs

    public void typeDefs(java.io.InputStream stream,
                boolean silentFail)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### typeDefs

    public void typeDefs(java.util.Properties p)

#### typeDefs

    public void typeDefs(java.util.Properties p,
                boolean silentFail)

#### load

    public void load(java.io.File settingsFile)
              throws java.text.ParseException,
                     java.io.IOException

Throws:
  `java.text.ParseException`
  `java.io.IOException`

#### load

    public void load(java.net.URL settingsURL)
              throws java.text.ParseException,
                     java.io.IOException

Throws:
  `java.text.ParseException`
  `java.io.IOException`

#### defaultInit

    public void defaultInit()
                     throws java.io.IOException

Default initialization of settings, useful when you don't want to load your settings from a settings file or URL, but prefer to set them manually. By calling this method you will still have the basic initialization done when loading settings.

Throws:
  `java.io.IOException`

#### loadDefault

    public void loadDefault()
                     throws java.text.ParseException,
                            java.io.IOException

Throws:
  `java.text.ParseException`
  `java.io.IOException`

#### loadDefault14

    public void loadDefault14()
                       throws java.text.ParseException,
                              java.io.IOException

Throws:
  `java.text.ParseException`
  `java.io.IOException`

#### getDefaultPropertiesURL

    public static java.net.URL getDefaultPropertiesURL()

#### getDefaultSettingsURL

    public static java.net.URL getDefaultSettingsURL()

#### getDefault14SettingsURL

    public static java.net.URL getDefault14SettingsURL()

#### setSettingsVariables

    public void setSettingsVariables(java.io.File settingsFile)

#### setSettingsVariables

    public void setSettingsVariables(java.net.URL settingsURL)

#### loadProperties

    public void loadProperties(java.net.URL url)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### loadProperties

    public void loadProperties(java.net.URL url,
                      boolean overwrite)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### loadProperties

    public void loadProperties(java.io.File file)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### loadProperties

    public void loadProperties(java.io.File file,
                      boolean overwrite)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### setVariable

    public void setVariable(java.lang.String varName,
                   java.lang.String value)

#### setVariable

    public void setVariable(java.lang.String varName,
                   java.lang.String value,
                   boolean overwrite)

#### setVariable

    public void setVariable(java.lang.String varName,
                   java.lang.String value,
                   boolean overwrite,
                   java.lang.String ifSetVar,
                   java.lang.String unlessSetVar)

#### addAllVariables

    public void addAllVariables(java.util.Map variables)

#### addAllVariables

    public void addAllVariables(java.util.Map<?,?> variables,
                       boolean overwrite)

#### substitute

    public java.lang.String substitute(java.lang.String str)

Substitute variables in the given string by their value found in the current set of variables

Specified by:
  `substitute` in interface `DeliverEngineSettings`
Specified by:
  `substitute` in interface `PublishEngineSettings`
Specified by:
  `substitute` in interface `ParserSettings`
Parameters:
  `str` - the string in which substitution should be made
Returns:
  the string where all current ivy variables have been substituted by their value If the input str doesn't use any variable, the same object is returned

#### substitute

    public java.util.Map substitute(java.util.Map strings)

Substitute variables in the given map values by their value found in the current set of variables

Specified by:
  `substitute` in interface `ParserSettings`
Parameters:
  `strings` - the map of strings in which substitution should be made
Returns:
  a new map of strings in which all current ivy variables in values have been substituted by their value

#### getVariables

    public IvyVariableContainer getVariables()

Returns the variables loaded in configuration file. Those variables may better be seen as ant properties

Specified by:
  `getVariables` in interface `RetrieveEngineSettings`
Returns:

#### typeDef

    public java.lang.Class typeDef(java.lang.String name,
                          java.lang.String className)

#### typeDef

    public java.lang.Class typeDef(java.lang.String name,
                          java.lang.String className,
                          boolean silentFail)

#### addClasspathURL

    public void addClasspathURL(java.net.URL url)

#### getTypeDefs

    public java.util.Map getTypeDefs()

#### getTypeDef

    public java.lang.Class getTypeDef(java.lang.String name)

#### addConfigured

    public void addConfigured(DependencyResolver resolver)

#### addConfigured

    public void addConfigured(ModuleDescriptorParser parser)

#### addConfigured

    public void addConfigured(SignatureGenerator generator)

#### addSignatureGenerator

    public void addSignatureGenerator(SignatureGenerator generator)

#### getSignatureGenerator

    public SignatureGenerator getSignatureGenerator(java.lang.String name)

Specified by:
  `getSignatureGenerator` in interface `ResolverSettings`

#### addResolver

    public void addResolver(DependencyResolver resolver)

#### setDefaultCache

    public void setDefaultCache(java.io.File cacheDirectory)

#### setDefaultResolver

    public void setDefaultResolver(java.lang.String resolverName)

#### addModuleConfiguration

    public void addModuleConfiguration(java.util.Map attributes,
                              PatternMatcher matcher,
                              java.lang.String resolverName,
                              java.lang.String branch,
                              java.lang.String conflictManager,
                              java.lang.String resolveMode)

regular expressions as explained in Pattern class may be used in attributes

#### resolveFile

    public java.io.File resolveFile(java.lang.String fileName)

Return the canonical form of a filename.

If the specified file name is relative it is resolved with respect to the settings's base directory.

Specified by:
  `resolveFile` in interface `ParserSettings`
Parameters:
  `fileName` - The name of the file to resolve. Must not be `null`.
Returns:
  the resolved File.

#### setBaseDir

    public void setBaseDir(java.io.File baseDir)

#### getBaseDir

    public java.io.File getBaseDir()

#### getDefaultIvyUserDir

    public java.io.File getDefaultIvyUserDir()

#### setDefaultIvyUserDir

    public void setDefaultIvyUserDir(java.io.File defaultUserDir)

#### getDefaultCache

    public java.io.File getDefaultCache()

#### setDefaultRepositoryCacheBasedir

    public void setDefaultRepositoryCacheBasedir(java.lang.String repositoryCacheRoot)

#### setDefaultResolutionCacheBasedir

    public void setDefaultResolutionCacheBasedir(java.lang.String resolutionCacheRoot)

#### getDefaultRepositoryCacheBasedir

    public java.io.File getDefaultRepositoryCacheBasedir()

#### getDefaultResolutionCacheBasedir

    public java.io.File getDefaultResolutionCacheBasedir()

#### setDictatorResolver

    public void setDictatorResolver(DependencyResolver resolver)

Specified by:
  `setDictatorResolver` in interface `ResolveEngineSettings`

#### getResolver

    public DependencyResolver getResolver(ModuleRevisionId mrid)

Specified by:
  `getResolver` in interface `ParserSettings`

#### hasResolver

    public boolean hasResolver(java.lang.String resolverName)

#### getResolver

    public DependencyResolver getResolver(java.lang.String resolverName)

Specified by:
  `getResolver` in interface `CheckEngineSettings`
Specified by:
  `getResolver` in interface `InstallEngineSettings`
Specified by:
  `getResolver` in interface `PublishEngineSettings`

#### getDefaultResolver

    public DependencyResolver getDefaultResolver()

#### getResolverName

    public java.lang.String getResolverName(ModuleRevisionId mrid)

Specified by:
  `getResolverName` in interface `ResolveEngineSettings`

#### getDefaultBranch

    public java.lang.String getDefaultBranch(ModuleId moduleId)

Specified by:
  `getDefaultBranch` in interface `ParserSettings`

#### getDefaultBranch

    public java.lang.String getDefaultBranch()

#### setDefaultBranch

    public void setDefaultBranch(java.lang.String defaultBranch)

#### getConflictManager

    public ConflictManager getConflictManager(ModuleId moduleId)

Specified by:
  `getConflictManager` in interface `ResolveEngineSettings`

#### getResolveMode

    public java.lang.String getResolveMode(ModuleId moduleId)

Specified by:
  `getResolveMode` in interface `ResolverSettings`

#### getDefaultResolveMode

    public java.lang.String getDefaultResolveMode()

#### setDefaultResolveMode

    public void setDefaultResolveMode(java.lang.String defaultResolveMode)

#### addConfigured

    public void addConfigured(ConflictManager cm)

#### getConflictManager

    public ConflictManager getConflictManager(java.lang.String name)

Specified by:
  `getConflictManager` in interface `ParserSettings`

#### addConflictManager

    public void addConflictManager(java.lang.String name,
                          ConflictManager cm)

#### addConfigured

    public void addConfigured(LatestStrategy latest)

#### getLatestStrategy

    public LatestStrategy getLatestStrategy(java.lang.String name)

Specified by:
  `getLatestStrategy` in interface `ResolverSettings`

#### addLatestStrategy

    public void addLatestStrategy(java.lang.String name,
                         LatestStrategy latest)

#### addConfigured

    public void addConfigured(LockStrategy lockStrategy)

#### getLockStrategy

    public LockStrategy getLockStrategy(java.lang.String name)

#### addLockStrategy

    public void addLockStrategy(java.lang.String name,
                       LockStrategy lockStrategy)

#### addConfigured

    public void addConfigured(Namespace ns)

#### getNamespace

    public Namespace getNamespace(java.lang.String name)

Specified by:
  `getNamespace` in interface `ParserSettings`
Specified by:
  `getNamespace` in interface `ResolverSettings`

#### getSystemNamespace

    public final Namespace getSystemNamespace()

Specified by:
  `getSystemNamespace` in interface `ResolverSettings`

#### addNamespace

    public void addNamespace(Namespace ns)

#### addConfigured

    public void addConfigured(PatternMatcher m)

#### getMatcher

    public PatternMatcher getMatcher(java.lang.String name)

Specified by:
  `getMatcher` in interface `InstallEngineSettings`
Specified by:
  `getMatcher` in interface `ParserSettings`

#### addMatcher

    public void addMatcher(PatternMatcher m)

#### addConfigured

    public void addConfigured(RepositoryCacheManager c)

#### getRepositoryCacheManager

    public RepositoryCacheManager getRepositoryCacheManager(java.lang.String name)

Specified by:
  `getRepositoryCacheManager` in interface `ResolverSettings`

#### addRepositoryCacheManager

    public void addRepositoryCacheManager(RepositoryCacheManager c)

#### getRepositoryCacheManagers

    public RepositoryCacheManager[] getRepositoryCacheManagers()

Specified by:
  `getRepositoryCacheManagers` in interface `ResolverSettings`

#### addConfigured

    public void addConfigured(ReportOutputter outputter)

#### getReportOutputter

    public ReportOutputter getReportOutputter(java.lang.String name)

#### addReportOutputter

    public void addReportOutputter(ReportOutputter outputter)

#### getReportOutputters

    public ReportOutputter[] getReportOutputters()

Specified by:
  `getReportOutputters` in interface `InstallEngineSettings`
Specified by:
  `getReportOutputters` in interface `ResolveEngineSettings`

#### addConfigured

    public void addConfigured(VersionMatcher vmatcher)

#### getVersionMatcher

    public VersionMatcher getVersionMatcher(java.lang.String name)

#### addVersionMatcher

    public void addVersionMatcher(VersionMatcher vmatcher)

#### getVersionMatchers

    public VersionMatcher[] getVersionMatchers()

#### getVersionMatcher

    public VersionMatcher getVersionMatcher()

Specified by:
  `getVersionMatcher` in interface `SortEngineSettings`
Specified by:
  `getVersionMatcher` in interface `ResolverSettings`

#### configureDefaultVersionMatcher

    public void configureDefaultVersionMatcher()

#### getCircularDependencyStrategy

    public CircularDependencyStrategy getCircularDependencyStrategy()

Specified by:
  `getCircularDependencyStrategy` in interface `SortEngineSettings`

#### getCircularDependencyStrategy

    public CircularDependencyStrategy getCircularDependencyStrategy(java.lang.String name)

#### setCircularDependencyStrategy

    public void setCircularDependencyStrategy(CircularDependencyStrategy strategy)

#### addConfigured

    public void addConfigured(CircularDependencyStrategy strategy)

#### getStatusManager

    public StatusManager getStatusManager()

Specified by:
  `getStatusManager` in interface `InstallEngineSettings`
Specified by:
  `getStatusManager` in interface `ParserSettings`

#### setStatusManager

    public void setStatusManager(StatusManager statusManager)

#### getIgnorableFilenames

    public java.lang.String[] getIgnorableFilenames()

Returns the file names of the files that should be ignored when creating a file listing.

Specified by:
  `getIgnorableFilenames` in interface `RetrieveEngineSettings`

#### filterIgnore

    public void filterIgnore(java.util.Collection names)

Filters the names list by removing all names that should be ignored as defined by the listing ignore list

Specified by:
  `filterIgnore` in interface `ResolverSettings`
Parameters:
  `names` -

#### isCheckUpToDate

    public boolean isCheckUpToDate()

Specified by:
  `isCheckUpToDate` in interface `RetrieveEngineSettings`

#### setCheckUpToDate

    public void setCheckUpToDate(boolean checkUpToDate)

#### doValidate

    public boolean doValidate()

Specified by:
  `doValidate` in interface `CheckEngineSettings`

#### setValidate

    public void setValidate(boolean validate)

#### getVariable

    public java.lang.String getVariable(java.lang.String name)

Specified by:
  `getVariable` in interface `ResolverSettings`

#### getDefaultConflictManager

    public ConflictManager getDefaultConflictManager()

#### setDefaultConflictManager

    public void setDefaultConflictManager(ConflictManager defaultConflictManager)

#### getDefaultLatestStrategy

    public LatestStrategy getDefaultLatestStrategy()

Specified by:
  `getDefaultLatestStrategy` in interface `ResolverSettings`

#### setDefaultLatestStrategy

    public void setDefaultLatestStrategy(LatestStrategy defaultLatestStrategy)

#### getDefaultLockStrategy

    public LockStrategy getDefaultLockStrategy()

#### setDefaultLockStrategy

    public void setDefaultLockStrategy(LockStrategy defaultLockStrategy)

#### getDefaultRepositoryCacheManager

    public RepositoryCacheManager getDefaultRepositoryCacheManager()

Specified by:
  `getDefaultRepositoryCacheManager` in interface `ResolverSettings`

#### setDefaultRepositoryCacheManager

    public void setDefaultRepositoryCacheManager(RepositoryCacheManager cache)

#### getResolutionCacheManager

    public ResolutionCacheManager getResolutionCacheManager()

Specified by:
  `getResolutionCacheManager` in interface `ParserSettings`

#### setResolutionCacheManager

    public void setResolutionCacheManager(ResolutionCacheManager resolutionCacheManager)

#### addTrigger

    public void addTrigger(Trigger trigger)

#### getTriggers

    public java.util.List getTriggers()

#### addConfigured

    public void addConfigured(Trigger trigger)

#### isUseRemoteConfig

    public boolean isUseRemoteConfig()

#### setUseRemoteConfig

    public void setUseRemoteConfig(boolean useRemoteConfig)

#### logModulesInUse

    public boolean logModulesInUse()

#### logModuleWhenFound

    public boolean logModuleWhenFound()

Specified by:
  `logModuleWhenFound` in interface `ResolveEngineSettings`

#### logResolvedRevision

    public boolean logResolvedRevision()

Specified by:
  `logResolvedRevision` in interface `ResolveEngineSettings`

#### debugConflictResolution

    public boolean debugConflictResolution()

Specified by:
  `debugConflictResolution` in interface `ResolveEngineSettings`

#### debugLocking

    public boolean debugLocking()

#### dumpMemoryUsage

    public boolean dumpMemoryUsage()

Specified by:
  `dumpMemoryUsage` in interface `RepositoryManagementEngineSettings`

#### logNotConvertedExclusionRule

    public boolean logNotConvertedExclusionRule()

Specified by:
  `logNotConvertedExclusionRule` in interface `InstallEngineSettings`
Specified by:
  `logNotConvertedExclusionRule` in interface `ResolveEngineSettings`

#### setLogNotConvertedExclusionRule

    public void setLogNotConvertedExclusionRule(boolean logNotConvertedExclusionRule)

Specified by:
  `setLogNotConvertedExclusionRule` in interface `InstallEngineSettings`

#### getInterruptTimeout

    public final long getInterruptTimeout()

#### getResolvers

    public java.util.Collection getResolvers()

#### getResolverNames

    public java.util.Collection getResolverNames()

Specified by:
  `getResolverNames` in interface `InstallEngineSettings`

#### getMatcherNames

    public java.util.Collection getMatcherNames()

Specified by:
  `getMatcherNames` in interface `InstallEngineSettings`

#### getVariableContainer

    public IvyVariableContainer getVariableContainer()

#### setVariableContainer

    public void setVariableContainer(IvyVariableContainer variables)

Use a different variable container.

Parameters:
  `variables` -

#### getRelativeUrlResolver

    public RelativeUrlResolver getRelativeUrlResolver()

Specified by:
  `getRelativeUrlResolver` in interface `ParserSettings`

#### setDefaultCacheIvyPattern

    public void setDefaultCacheIvyPattern(java.lang.String defaultCacheIvyPattern)

#### getDefaultCacheIvyPattern

    public java.lang.String getDefaultCacheIvyPattern()

#### setDefaultCacheArtifactPattern

    public void setDefaultCacheArtifactPattern(java.lang.String defaultCacheArtifactPattern)

#### getDefaultCacheArtifactPattern

    public java.lang.String getDefaultCacheArtifactPattern()

#### setDefaultUseOrigin

    public void setDefaultUseOrigin(boolean useOrigin)

#### isDefaultUseOrigin

    public boolean isDefaultUseOrigin()

#### useDeprecatedUseOrigin

    public void useDeprecatedUseOrigin()

#### validate

    public void validate()

Validates the settings, throwing an `IllegalStateException` if the current state is not valid.

Throws:
  `java.lang.IllegalStateException` - if the settings is not valid.

#### getContextNamespace

    public Namespace getContextNamespace()

Description copied from interface: `ParserSettings`
Returns the namespace context in which the current descriptor is parsed.

Specified by:
  `getContextNamespace` in interface `ParserSettings`

#### addConfigured

    public void addConfigured(ArchivePacking packing)

#### getPackingRegistry

    public PackingRegistry getPackingRegistry()